Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultLegalBasisType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultLegalBasisType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultLegalBasisType extends Object implements Serializable

Java class for ConsultLegalBasisType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalBasisType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="EffectiveOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultLegalBasisType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `Instant`
  `getEffectiveOn()`
  Gets the value of the effectiveOn property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getKey()`
  Gets the value of the key property.
  `List<ConsultLegalReferenceType>`
  `getLegalReferences()`
  Gets the value of the legalReferences property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultTextType`
  `getTitle()`
  Gets the value of the title property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setEffectiveOn(Instant value)`
  Sets the value of the effectiveOn property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setKey(String value)`
  Sets the value of the key property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setTitle(ConsultTextType value)`
  Sets the value of the title property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultLegalBasisType

    public ConsultLegalBasisType()

- ## Method Details

  - ### getTitle

    public ConsultTextType getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `ConsultTextType`

  - ### setTitle

    public void setTitle(ConsultTextType value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEffectiveOn

    public Instant getEffectiveOn()
    Gets the value of the effectiveOn property.
    Returns:
      possible object is `String`

  - ### setEffectiveOn

    public void setEffectiveOn(Instant value)
    Sets the value of the effectiveOn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getLegalReferences

    public List<ConsultLegalReferenceType> getLegalReferences()
    Gets the value of the legalReferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

    For example, to add a new item, do as follows:

         getLegalReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultLegalReferenceType`

    Returns:
      The value of the legalReferences property.

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`